@echo off
if exist "%SystemRoot%\SysWOW64" path %path%;%windir%\SysNative;%SystemRoot%\SysWOW64;%~dp0
bcdedit >nul
if '%errorlevel%' NEQ '0' (goto UACPrompt) else (goto UACAdmin)
:UACPrompt
%1 start "" mshta vbscript:createobject("shell.application").shellexecute("""%~0""","::",,"runas",1)(window.close)&exit
exit /B
:UACAdmin
cd /d "%~dp0"

@echo off

Pnputil.exe /add-driver .\FPC\fpc_disum_um_usb.inf /install
echo ======================================
IF %errorlevel% neq 0 (
    IF %errorlevel% neq 259 (
      IF %errorlevel% neq 3010 (
   echo .========== fpc_disum_um_usb.inf Fail[%errorlevel%] ==========
  )
 )
)
if %errorlevel% EQU 0 echo Pass[%errorlevel%]
if %errorlevel% EQU 259 echo Pass[%errorlevel%]
if %errorlevel% EQU 3010 echo Pass[%errorlevel%]
echo ======================================

timeout /t 5 /nobreak


@echo Done